Commit 2303d9e0 authored by Adam Mercer's avatar Adam Mercer
Browse files

lalinference: add lalxml packaging dependency

(cherry picked from commit 56f71d02a9ff7d7cf4997852c5627df1e5b460bc)
Original: 98cd6d3b16107acfdd2817a1c62da01f61201d8d
parent f548a683
lalinference (1.4.3-2) unstable; urgency=low
* add lalxml dependencies
-- Adam Mercer <adam.mercer@ligo.org> Wed, 12 Nov 2014 09:34:41 -0600
lalinference (1.4.3-1) unstable; urgency=low
* LALInference 1.4.3
......
......@@ -10,11 +10,13 @@ Build-Depends: debhelper (>= 7), pkg-config, python-all-dev,
lal-octave (>= 6.13.0~), lalframe-dev (>= 1.2.0~),
lalframe-python (>= 1.2.0~), lalframe-octave (>= 1.2.0~),
lalmetaio-dev (>= 1.2.0~), lalmetaio-python (>= 1.2.0~),
lalmetaio-octave (>= 1.2.0~), lalsimulation-dev (>= 1.2.0~),
lalsimulation-python (>= 1.2.0~), lalsimulation-octave (>= 1.2.0~),
lalinspiral-dev (>= 1.6.0~), lalinspiral-python (>= 1.6.0~),
lalinspiral-octave (>= 1.6.0~), lalpulsar-dev (>= 1.10.0~),
lalpulsar-python (>= 1.10.0~), lalpulsar-octave (>= 1.10.0~)
lalmetaio-octave (>= 1.2.0~), lalxml (>= 1.1.14~),
lalxml-python (>= 1.1.14~), lalxml-octave (>= 1.1.14~),
lalsimulation-dev (>= 1.2.0~), lalsimulation-python (>= 1.2.0~),
lalsimulation-octave (>= 1.2.0~), lalinspiral-dev (>= 1.6.0~),
lalinspiral-python (>= 1.6.0~), lalinspiral-octave (>= 1.6.0~),
lalpulsar-dev (>= 1.10.0~), lalpulsar-python (>= 1.10.0~),
lalpulsar-octave (>= 1.10.0~)
X-Python-Version: >= 2.6
Standards-Version: 3.8.6
......@@ -24,7 +26,7 @@ Depends: ${shlibs:Depends}, ${misc:Depends}, zlib1g,
libchealpix0, python-healpy,
libgsl0 (>= 1.15) | libgsl0ldbl (>= 1.15), libmetaio1 (>= 8.2),
lal (>= 6.13.0~), lalframe (>= 1.3.0~), lalmetaio (>= 1.2.0~),
lalsimulation (>= 1.2.0~), lalinspiral (>= 1.6.0~),
lalxml (>= 1.1.14~), lalsimulation (>= 1.2.0~), lalinspiral (>= 1.6.0~),
lalpulsar (>= 1.10.0~)
Description: LSC Algorithm Library Inference
The LSC Algorithm Inspiral Library for gravitational wave data analysis.
......@@ -37,8 +39,9 @@ Depends: ${shlibs:Depends}, ${misc:Depends}, zlib1g,
libchealpix-dev,
libgsl0-dev (>= 1.15), libmetaio-dev (>= 8.2), lal-dev (>= 6.13.0~),
lalframe-dev (>= 1.2.0~), lalmetaio-dev (>= 1.2.0~),
lalsimulation-dev (>= 1.2.0~), lalinspiral-dev (>= 1.6.0~),
lalpulsar-dev (>= 1.10.0~), lalinference (= ${binary:Version})
lalxml-dev (>= 1.1.14~), lalsimulation-dev (>= 1.2.0~),
lalinspiral-dev (>= 1.6.0~), lalpulsar-dev (>= 1.10.0~),
lalinference (= ${binary:Version})
Description: LSC Algorithm Library Inference Developers
The LSC Algorithm Inference Library for gravitational wave data analysis.
This package contains files needed build applications that use the LAL
......@@ -49,8 +52,8 @@ Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-numpy,
lalinference (= ${binary:Version}), lal-python (>= 6.13.0~),
lalframe-python (>= 1.2.0~), lalmetaio-python (>= 1.2.0~),
lalsimulation-python (>= 1.2.0~), lalinspiral-python (>= 1.6.0~),
lalpulsar-python (>= 1.10.0~)
lalxml-python (>= 1.1.14~), lalsimulation-python (>= 1.2.0~),
lalinspiral-python (>= 1.6.0~), lalpulsar-python (>= 1.10.0~)
Replaces: lalapps (<< 6.14.0-1)
Breaks: lalapps (<< 6.14.0-1)
Description: Python bindings for LALInference
......@@ -60,6 +63,6 @@ Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, octave,
lalinference (= ${binary:Version}), lal-octave (>= 6.13.0~),
lalframe-octave (>= 1.2.0~), lalmetaio-octave (>= 1.2.0~),
lalsimulation-octave (>= 1.2.0~), lalinspiral-octave (>= 1.6.0~),
lalpulsar-octave (>= 1.10.0~)
lalsimulation-octave (>= 1.2.0~), lalxml-octave (>= 1.1.14~),
lalinspiral-octave (>= 1.6.0~), lalpulsar-octave (>= 1.10.0~)
Description: Octave bindings for LALInference
......@@ -13,7 +13,7 @@ URL: https://www.lsc-group.phys.uwm.edu/daswg/projects/lalsuite.html
Packager: Adam Mercer <adam.mercer@ligo.org>
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: python-devel octave-devel
Requires: chealpix healpy gsl >= 1.15 libmetaio lal lalmetaio lalsimulation lalinspiral lalpulsar
Requires: chealpix healpy gsl >= 1.15 libmetaio lal lalmetaio lalxml lalsimulation lalinspiral lalpulsar
Prefix: %{_prefix}
%description
......@@ -25,7 +25,7 @@ that use the LAL Inference library.
Summary: Files and documentation needed for compiling programs that use LAL Inference
Group: LAL
Requires: %{name} = %{version}
Requires: chealpix-devel gsl-devel >= 1.15 libmetaio-devel lal-devel lalmetaio-devel lalsimulation-devel lalinspiral-devel lalpulsar-devel
Requires: chealpix-devel gsl-devel >= 1.15 libmetaio-devel lal-devel lalmetaio-devel lalxml-dev lalsimulation-devel lalinspiral-devel lalpulsar-devel
%description devel
The LSC Algorithm Inference Library for gravitational wave data analysis. This
package contains files needed build applications that use the LAL Inference
......@@ -35,7 +35,7 @@ library.
Summary: Python Bindings for LALInference
Group: LAL
Requires: %{name} = %{version}
Requires: python numpy lal-python lalmetaio-python lalsimulation-python lalinspiral-python lalpulsar-python
Requires: python numpy lal-python lalmetaio-python lalxml-python lalsimulation-python lalinspiral-python lalpulsar-python
%description python
The LSC Algorithm Library for gravitational wave data analysis.
This package provides the Python bindings for LALInference.
......@@ -44,7 +44,7 @@ This package provides the Python bindings for LALInference.
Summary: Octave Bindings for LALInference
Group: LAL
Requires: %{name} = %{version}
Requires: octave lal-octave lalmetaio-octave lalsimulation-octave lalinspiral-octave lalpulsar-octave
Requires: octave lal-octave lalmetaio-octave lalxml-octave lalsimulation-octave lalinspiral-octave lalpulsar-octave
%description octave
The LSC Algorithm Library for gravitational wave data analysis.
This package provides the Octave bindings for LALInference.
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment